Subject: Re: bug#59823: [1.4.0rc1] Installer fails to identify installation device on Ventoy-made images

From: Mathieu Othacehe <[email-masked]>
Date: Sat, 10 Dec 2022 11:26:39 +0100

Hola,

> Anyway, all in all, calling out to dmsetup looks reasonable for now; I
> have a slight preference for using ‘open-pipe* OPEN_READ’, but no big
> deal.  Perhaps add a comment showing what the line we’re parsing should
> look like.

Yeah, I agree that open-pipe would be a bit clearer, but as this is
already tested as-is plus we'll switch to the ioctl after the release, I
think we can proceed.

>>  (define (eligible-devices)
>>    "Return all the available devices except the install device and the devices
>>  which are smaller than %MIN-DEVICE-SIZE."
>>  
>>    (define the-installer-root-partition-path
>> -    (installer-root-partition-path))
>> +    (let ((root-path
>> +           (installer-root-partition-path)))
>
> Just ‘root’.  :-)

Fixed, added a few comments and pushed.

Thanks for having a look!

Mathieu